// src/main.js

import './styles/app.css';
import $ from 'jquery';
window.$ = window.jQuery = $;

// 1. Импорт JSONRPC по алиасу (предполагаем, что алиас настроен в vite.config.js)
import { JSONRPC } from '@/json-rpc.js';

// 🔥 Указываем URL сервера, как ты и сделал
//JSONRPC.url = "http://localhost:8080" + JSONRPC.url;

// 2. Импорт главного модуля приложения
import { initApp } from './modules/app.js';

// Запуск приложения после загрузки DOM
$(document).ready(() => {
    $('#loader').remove();
    initApp();
});